"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Printer_1 = require("../Printer");
var documentation_1 = require("./documentation");
function printEnum(enumDescriptor, indentLevel) {
    var printer = new Printer_1.Printer(indentLevel);
    var enumName = enumDescriptor.getName();
    printer.write(documentation_1.printDocumentation('enum', enumName, 0, enumName + " enum declaration that\n * provides values from the given gRPC " + enumName + " Enum."));
    printer.printLn("export enum " + enumDescriptor.getName() + " {");
    enumDescriptor.getValueList().forEach(function (value) {
        printer.printIndentedLn(value.getName().toUpperCase() + " = " + value.getNumber() + ",");
    });
    printer.printLn("}");
    return printer.getOutput();
}
exports.printEnum = printEnum;
//# sourceMappingURL=enum.js.map